Package javax.validation

# Interface ValidatorFactory

public interface ValidatorFactory

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ConstraintValidatorFactory`
`getConstraintValidatorFactory()`
`MessageInterpolator`
`getMessageInterpolator()`
`ParameterNameProvider`
`getParameterNameProvider()`
`TraversableResolver`
`getTraversableResolver()`
`Validator`
`getValidator()`
`<T> T`
`unwrap(Class<T> type)`
`ValidatorContext`
`usingContext()`

## Method Details

### getValidator

Validator getValidator()

### usingContext

ValidatorContext usingContext()

### getMessageInterpolator

MessageInterpolator getMessageInterpolator()

### getTraversableResolver

TraversableResolver getTraversableResolver()

### getConstraintValidatorFactory

ConstraintValidatorFactory getConstraintValidatorFactory()

### unwrap

<T> T unwrap(Class<T> type)

### getParameterNameProvider

ParameterNameProvider getParameterNameProvider()

Since:
  1.1

### close

void close()